diff scripts/run-all-cleanup @ 5885:f0b9706d8d7e

scripts: introduce scripts/run-all-cleanup - run this before committing to make sure some aspects of the coding style is maintained
author Mads Kiilerich <madski@unity3d.com>
date Mon, 02 May 2016 23:45:26 +0200
parents
children 40edadecda69
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/scripts/run-all-cleanup	Mon May 02 23:45:26 2016 +0200
@@ -0,0 +1,10 @@
+#!/usr/bin/sh
+
+# Convenience script for running various idempotent source code cleanup scripts
+
+set -e
+set -x
+
+scripts/docs-headings.py
+scripts/generate-ini.py
+scripts/whitespacecleanup.sh